{
	"version":"LAYASCENE3D:02",
	"data":{
		"type":"Scene3D",
		"props":{
			"name":"game",
			"sky":{
				"material":{
					"type":"Laya.SkyBoxMaterial",
					"path":"Assets/PilotRoyale/Mat/skymat.lmat"
				},
				"mesh":"SkyBox"
			},
			"ambientColor":[
				0.212,
				0.227,
				0.259
			],
			"reflectionDecodingFormat":0,
			"reflection":"Assets/Scenes/gameGIReflection.ltcb",
			"reflectionIntensity":1,
			"ambientMode":0,
			"ambientSphericalHarmonicsIntensity":1,
			"lightmaps":[],
			"enableFog":false,
			"fogStart":0,
			"fogRange":300,
			"fogColor":[
				0.5,
				0.5,
				0.5
			]
		},
		"child":[
			{
				"type":"Camera",
				"instanceID":0,
				"props":{
					"name":"Main Camera",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0.6674325,
						0.751376,
						-3.971593
					],
					"rotation":[
						0.00305672,
						0.9771729,
						0.2119575,
						-0.01407316
					],
					"scale":[
						1,
						1,
						1
					],
					"clearFlag":1,
					"orthographic":false,
					"orthographicVerticalSize":10,
					"fieldOfView":60,
					"enableHDR":false,
					"nearPlane":0.01,
					"farPlane":200,
					"viewport":[
						0,
						0,
						1,
						1
					],
					"clearColor":[
						0,
						0,
						0,
						0
					]
				},
				"components":[],
				"child":[]
			},
			{
				"type":"DirectionLight",
				"instanceID":1,
				"props":{
					"name":"Directional Light",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0,
						3,
						0
					],
					"rotation":[
						0.1093816,
						0.8754261,
						0.4082179,
						-0.2345697
					],
					"scale":[
						1,
						1,
						1
					],
					"intensity":1,
					"lightmapBakedType":1,
					"color":[
						1,
						0.9568627,
						0.8392157
					]
				},
				"components":[],
				"child":[]
			},
			{
				"type":"Sprite3D",
				"instanceID":2,
				"props":{
					"name":"flys",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0,
						0,
						0
					],
					"rotation":[
						0,
						0,
						0,
						-1
					],
					"scale":[
						1,
						1,
						1
					]
				},
				"components":[],
				"child":[
					{
						"type":"Sprite3D",
						"instanceID":3,
						"props":{
							"name":"0",
							"active":true,
							"isStatic":false,
							"layer":9,
							"position":[
								0.67,
								0.719376,
								-3.8885
							],
							"rotation":[
								0,
								-0.7071068,
								0,
								-0.7071068
							],
							"scale":[
								1,
								1,
								1
							]
						},
						"components":[
							{
								"type":"Rigidbody3D",
								"mass":1,
								"isKinematic":true,
								"restitution":0,
								"friction":0.5,
								"rollingFriction":0,
								"linearDamping":0,
								"angularDamping":0,
								"overrideGravity":false,
								"gravity":[
									0,
									0,
									0
								],
								"shapes":[
									{
										"type":"SphereColliderShape",
										"center":[
											0,
											0,
											0
										],
										"radius":0.01
									}
								],
								"isTrigger":true,
								"linearFactor":[
									1,
									1,
									1
								],
								"angularFactor":[
									1,
									1,
									1
								]
							}
						],
						"child":[
							{
								"type":"Sprite3D",
								"instanceID":4,
								"props":{
									"name":"lizi",
									"active":true,
									"isStatic":false,
									"layer":9,
									"position":[
										0,
										0,
										0
									],
									"rotation":[
										0,
										-0.7071068,
										0,
										-0.7071068
									],
									"scale":[
										1.5,
										1.5,
										1.5
									]
								},
								"components":[],
								"child":[
									{
										"type":"TrailSprite3D",
										"instanceID":5,
										"props":{
											"name":"Particle System",
											"active":true,
											"isStatic":false,
											"layer":9,
											"position":[
												-0.00751,
												-0.00024,
												-0.00052
											],
											"rotation":[
												0,
												0,
												0,
												-1
											],
											"scale":[
												1,
												1,
												1
											],
											"time":1.5,
											"minVertexDistance":0.001,
											"widthMultiplier":0.005,
											"textureMode":0,
											"widthCurve":[
												{
													"time":0,
													"inTangent":0,
													"outTangent":0,
													"value":0.09759862
												},
												{
													"time":0.005509032,
													"inTangent":0,
													"outTangent":0,
													"value":0.09759862
												},
												{
													"time":1,
													"inTangent":0,
													"outTangent":0,
													"value":0.09759862
												}
											],
											"colorGradient":{
												"mode":0,
												"colorKeys":[
													{
														"time":0,
														"value":[
															1,
															1,
															1
														]
													},
													{
														"time":1,
														"value":[
															1,
															1,
															1
														]
													}
												],
												"alphaKeys":[
													{
														"time":0,
														"value":1
													},
													{
														"time":1,
														"value":0.1921569
													}
												]
											},
											"alignment":0,
											"materials":[
												{
													"type":"Laya.TrailMaterial",
													"path":"Assets/CrashLanding3D/FBX/Fbx2/Materials/yw_01_WSJZ.lmat"
												}
											]
										},
										"components":[],
										"child":[]
									},
									{
										"type":"TrailSprite3D",
										"instanceID":6,
										"props":{
											"name":"Particle System (1)",
											"active":true,
											"isStatic":false,
											"layer":9,
											"position":[
												0.0082,
												-0.00057,
												-0.00044
											],
											"rotation":[
												0,
												0,
												0,
												-1
											],
											"scale":[
												0.01,
												0.01000001,
												0.01000001
											],
											"time":1.5,
											"minVertexDistance":0.001,
											"widthMultiplier":0.005,
											"textureMode":0,
											"widthCurve":[
												{
													"time":0,
													"inTangent":0,
													"outTangent":0,
													"value":0.09759862
												},
												{
													"time":0.005509032,
													"inTangent":0,
													"outTangent":0,
													"value":0.09759862
												},
												{
													"time":1,
													"inTangent":0,
													"outTangent":0,
													"value":0.09759862
												}
											],
											"colorGradient":{
												"mode":0,
												"colorKeys":[
													{
														"time":0,
														"value":[
															1,
															1,
															1
														]
													},
													{
														"time":1,
														"value":[
															1,
															1,
															1
														]
													}
												],
												"alphaKeys":[
													{
														"time":0,
														"value":1
													},
													{
														"time":1,
														"value":0.1921569
													}
												]
											},
											"alignment":0,
											"materials":[
												{
													"type":"Laya.TrailMaterial",
													"path":"Assets/CrashLanding3D/FBX/Fbx2/Materials/yw_01_WSJZ.lmat"
												}
											]
										},
										"components":[],
										"child":[]
									}
								]
							},
							{
								"type":"MeshSprite3D",
								"instanceID":7,
								"props":{
									"name":"Object010",
									"active":true,
									"isStatic":false,
									"layer":9,
									"position":[
										3.814697E-10,
										-0.003346049,
										0
									],
									"rotation":[
										0,
										0.7071068,
										0,
										-0.7071068
									],
									"scale":[
										1,
										1,
										1
									],
									"meshPath":"Assets/PilotRoyale/FBX/Airplane_1_Yellow_Full/Airplane_1_Yellow_Full-Object010.lm",
									"enableRender":true,
									"materials":[
										{
											"path":"Assets/PilotRoyale/FBX/Airplane_1_Blue/Materials/Airplane_1_1.lmat"
										}
									]
								},
								"components":[],
								"child":[]
							},
							{
								"type":"MeshSprite3D",
								"instanceID":8,
								"props":{
									"name":"Propellor",
									"active":true,
									"isStatic":false,
									"layer":9,
									"position":[
										-0.007284397,
										-0.0009833765,
										1.197815E-07
									],
									"rotation":[
										0,
										0.7071068,
										0,
										-0.7071068
									],
									"scale":[
										1,
										1,
										1
									],
									"meshPath":"Assets/PilotRoyale/FBX/Airplane_1_Yellow_Full/Airplane_1_Yellow_Full-Object050.lm",
									"enableRender":true,
									"materials":[
										{
											"path":"Assets/PilotRoyale/FBX/Airplane_1_Blue/Materials/Airplane_1_1.lmat"
										}
									]
								},
								"components":[],
								"child":[]
							}
						]
					}
				]
			},
			{
				"type":"Sprite3D",
				"instanceID":9,
				"props":{
					"name":"bulletroot",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0,
						0,
						0
					],
					"rotation":[
						0,
						0,
						0,
						-1
					],
					"scale":[
						1,
						1,
						1
					]
				},
				"components":[],
				"child":[
					{
						"type":"MeshSprite3D",
						"instanceID":10,
						"props":{
							"name":"bulletitem",
							"active":true,
							"isStatic":false,
							"layer":0,
							"position":[
								1.575,
								0.67,
								0.4157
							],
							"rotation":[
								0,
								0.7071068,
								0,
								-0.7071068
							],
							"scale":[
								0.002000001,
								0.002,
								0.002000001
							],
							"meshPath":"Library/unity default resources-Sphere.lm",
							"enableRender":true,
							"materials":[
								{
									"path":"Assets/PilotRoyale/FBX/Airplane_1_Blue/Materials/bullet.lmat"
								}
							]
						},
						"components":[
							{
								"type":"PhysicsCollider",
								"restitution":0,
								"friction":0.5,
								"rollingFriction":0,
								"shapes":[
									{
										"type":"SphereColliderShape",
										"center":[
											0,
											0,
											0
										],
										"radius":0.5
									}
								],
								"isTrigger":true
							}
						],
						"child":[]
					}
				]
			},
			{
				"type":"Sprite3D",
				"instanceID":11,
				"props":{
					"name":"Missileroot",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						1.570475,
						0.6197749,
						0.2593582
					],
					"rotation":[
						0,
						0,
						0,
						-1
					],
					"scale":[
						1,
						1,
						1
					]
				},
				"components":[],
				"child":[]
			},
			{
				"type":"MeshSprite3D",
				"instanceID":12,
				"props":{
					"name":"Ground",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0,
						0.4,
						0
					],
					"rotation":[
						0,
						0,
						0,
						-1
					],
					"scale":[
						1,
						0.05,
						1
					],
					"meshPath":"Assets/PilotRoyale/FBX/City (1)/City-Ground.lm",
					"enableRender":true,
					"materials":[
						{
							"path":"Assets/PilotRoyale/FBX/City (1)/Materials/Water1.lmat"
						}
					]
				},
				"components":[],
				"child":[]
			}
		]
	}
}